## org.firebirdsql.encodings
Class Encoding_Cp1251

    java.lang.Object
      org.firebirdsql.encodings.Encoding_OneByte
          org.firebirdsql.encodings.Encoding_Cp1251

All Implemented Interfaces:
  Encoding

    public class Encoding_Cp1251

extends Encoding_OneByte

Constructor Summary
`Encoding_Cp1251()`
`Encoding_Cp1251(char[] charMapping)`

Method Summary
`int` `decodeFromCharset(byte[] in, int off, int len, char[] out)`
`int` `encodeToCharset(char[] in, int off, int len, byte[] out)`

Methods inherited from class org.firebirdsql.encodings.Encoding_OneByte
`decodeFromCharset, decodeFromCharset, encodeToCharset, encodeToCharset, Initialize, Initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encoding_Cp1251

    public Encoding_Cp1251()

### Encoding_Cp1251

    public Encoding_Cp1251(char[] charMapping)

Method Detail

### encodeToCharset

    public int encodeToCharset(char[] in,
                               int off,
                               int len,
                               byte[] out)

  Specified by:
    `encodeToCharset` in class `Encoding_OneByte`

### decodeFromCharset

    public int decodeFromCharset(byte[] in,
                                 int off,
                                 int len,
                                 char[] out)

  Specified by:
    `decodeFromCharset` in class `Encoding_OneByte`

Copyright © 2001-2010. All Rights Reserved.